<?php

// Id used to identify this page within functions.
	$PageID = "USER_SEARCH";

require_once "common.inc";

require_once "config.inc";
require_once "constants.inc";
require_once "db.inc";
require_once "error.inc";
require_once "mgmnt.inc";
require_once "language.inc";
require_once "layout.inc";

layout_header();

layout_page_title();

layout_wizard_start($langText['HEADER'], $langText['DESC']);

?>

<form name='search' action='user_search.php' method='post'>
	<input type='hidden' name='id' value='<?php echo $_REQUEST['id']?>'>
	<input type='hidden' name='auth' value='<?php echo $_REQUEST['auth']?>'>
	<table cellpadding="4" cellspacing="0" border="0">
		<tr>
	    	<td align="right"><b><?php echo $langText['USER_ID']?>:</b></td>
			<td><input type='text' name='user_id' size=25></td>
		</tr>
		<tr>
	    	<td align="right"><b><?php echo $langText['USER_GIVEN_NAMES']?>:</b></td>
			<td><input type='text' name='user_given_names' size=25></td>
		</tr>
		<tr>
	    	<td align="right"><b><?php echo $langText['USER_SURNAME']?>:</b></td>
			<td><input type='text' name='user_surname' size=25></td>
		</tr>
		<tr>
	    	<td align="right"><b><?php echo $langText['USER_CARD_NUMBER']?>:</b></td>
			<td><input type='text' name='user_card_number' size=25></td>
		</tr>
		<tr>
	    	<td align="right"><b><?php echo $langText['USER_GROUP_NAME']?>:</b></td>
			<td><input type='text' name='user_group_name' size=25></td>
		</tr>
		<tr>
	    	<td align="right"><b><?php echo $langText['USER_EMAIL']?>:</b></td>
			<td><input type='text' name='user_email' size=25></td>
		</tr>
		<tr>
	    	<td align="right"><b><?php echo $langText['USER_LOCATION']?>:</b></td>
			<td><input type='text' name='user_location' size=25></td>
		</tr>
		<tr>
	    	<td colspan="2">&nbsp;</td>
		</tr>
		<tr>
	    	<td>&nbsp;</td>
			<td><input type='submit' name='search' value='<?php echo $langText['BUTTON_SEARCH'] ?>&nbsp;&gt;&gt;' class='button'></td>
		</tr>
	</table>
</form>

<br />

<?php

layout_wizard_stop();

if(isset($_REQUEST['search']))
{
	$where = "";
    $user_id = "";
	$user_id_suffix = "";
    $user_given_names = "";
	$user_given_names_suffix = "";
	$user_surname = "";
	$user_surname_suffix = "";
	$user_card_number = "";
	$user_card_number_suffix = "";
    $group_name = "";
	$group_name_suffix = "";
    $user_email = "";
	$user_email_suffix = "";
    $user_location = "";
	$user_location_suffix = "";

	if(isset($_REQUEST['user_id']) && $_REQUEST['user_id'] != "")
	{
		$where = " WHERE ";
		$user_id = "user_id LIKE '%".$_REQUEST['user_id']."%'";
	}

	if(isset($_REQUEST['user_given_names']) && $_REQUEST['user_given_names'] != "")
	{
		$where = " WHERE ";
		$user_given_names = "user_given_names LIKE '%".$_REQUEST['user_given_names']."%'";
        if($user_id != "")
			$user_id_suffix = " && ";
	}

	if(isset($_REQUEST['user_surname']) && $_REQUEST['user_surname'] != "")
	{
		$where = " WHERE ";
		$user_surname = "user_surname LIKE '%".$_REQUEST['user_surname']."%'";
        if($user_given_names != "" || $user_id != "")
			$user_given_names_suffix = " && ";
	}

	if(isset($_REQUEST['user_card_number']) && $_REQUEST['user_card_number'] != "")
	{
   		if(is_last_char($_REQUEST['user_card_number'], $config['card_number_suffix']))
			$_REQUEST['user_card_number'] = chop_last($_REQUEST['user_card_number']);

		$where = " WHERE ";
		$user_card_number = "user_card_number LIKE '%".$_REQUEST['user_card_number']."%'";
        if($user_surname != "" || $user_given_names != "" || $user_id != "")
			$user_surname_suffix = " && ";
	}

	if(isset($_REQUEST['user_group_name']) && $_REQUEST['user_group_name'] != "")
	{
		$where = " WHERE ";
		$group_name = "user_id IN (SELECT user_id
									FROM linkage
									WHERE group_id IN
										(SELECT group_id
										FROM groups
										WHERE group_name LIKE '%".$_REQUEST['user_group_name']."%'
											OR group_description LIKE '%".$_REQUEST['user_group_name']."%'))";
        if($user_card_number != "" || $user_surname != "" || $user_given_names != "" || $user_id != "")
			$user_card_number_suffix = " && ";
	}

	if(isset($_REQUEST['user_email']) && $_REQUEST['user_email'] != "")
	{
		$where = " WHERE ";
		$user_email = "user_email LIKE '%".$_REQUEST['user_email']."%'";
        if($group_name != "" || $user_card_number != "" || $user_surname != "" || $user_given_names != "" || $user_id != "")
			$group_name_suffix = " && ";
	}

	if(isset($_REQUEST['user_location']) && $_REQUEST['user_location'] != "")
	{
		$where = " WHERE ";
		$user_location = "user_location IN (SELECT location_id
											FROM locations
											WHERE location_name LIKE '%".$_REQUEST['user_location']."%')";
        if($user_email != "" || $group_name != "" || $user_card_number != "" || $user_surname != "" || $user_given_names != "" || $user_id != "")
			$user_email_suffix = " && ";
	}

	/*print "SELECT user_id, user_card_number, user_given_names, user_surname, user_email
							FROM users
							WHERE
								".$user_id.$user_id_suffix."
								".$user_given_names.$user_given_names_suffix."
								".$user_surname.$user_surname_suffix."
								".$user_card_number.$user_card_number_suffix."
								".$group_name.$group_name_suffix."
								".$user_email.$user_email_suffix."
								".$user_location."
							ORDER BY user_surname";*/

	$res = mysql_query("	SELECT user_id, user_card_number, user_given_names, user_surname, user_email
							FROM users
							".$where."
								".$user_id.$user_id_suffix."
								".$user_given_names.$user_given_names_suffix."
								".$user_surname.$user_surname_suffix."
								".$user_card_number.$user_card_number_suffix."
								".$group_name.$group_name_suffix."
								".$user_email.$user_email_suffix."
								".$user_location."
							ORDER BY user_surname");

    $hits = mysql_num_rows($res);

	layout_page_info($hits." ".$langText['HITS'].":");

	layout_table_header(array("&nbsp;", $langText['USER_CARD_NUMBER'], $langText['USER_REAL_NAME'], $langText['USER_EMAIL']));

    while($row = mysql_fetch_array($res))
	{
		$content = array();
		$content = array('', format_card_number($row['user_card_number']), format_user_real_name($row), $row['user_email']);

		$content[0] .= '<table border="0" cellspacing="0" cellpadding="0"><tr>';

        if(my_subordinate($row['user_id']) && $row['user_id'] != USER_ID)
			$content[0] .= "
				<td><a href='management.php?id=".$_REQUEST['id']."&auth=".$_REQUEST['auth']."&user_id=".$row['user_id']."'>".layout_insertImg("icon_edit.png")."</a></td>
				<td width='5'></td>
			";

		if(can_view_borrowed($row['user_id']) && $row['user_id'] != USER_ID)
			$content[0] .= "<td><a href='view_borrowed_books.php?id=".$_REQUEST['id']."&auth=".$_REQUEST['auth']."&user_card_number=".$row['user_card_number']."&stage=2'>".layout_insertImg("icon_view_borrowed.png")."</a></td>";

		$content[0] .= '</tr></table>';

     	layout_table_row($content);
	}

	layout_table_footer();

}

layout_footer();

?>
